extends Button

export(String, FILE) var next_screen_path: = ""
onready var selected_screen_base_path: String = "res://src/UserInterface/Screens"

func _on_button_up() -> void:
	get_tree().change_scene(next_screen_path)
	get_tree().get_current_scene().queue_free()
	get_tree().paused = false

func _get_configuration_warning() -> String:
	return "next_scene_path must be set for the button to work" if next_screen_path == "" else ""
